Asset (Beta)

Delete embargo

IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.

Completely delete an existing asset embargo.

Note: This API is subject to change until it reaches GA. Activation of the API is on a request basis until GA.

delete
https://{your-bynder-domain}/api/1/asset/assets/{assetId}/embargos/{embargoId}

Path Parameters

assetIdstringrequired
embargoIdstringrequired

Response

application/json

DeleteEmbargoReply

assetIdstring
delete/api/1/asset/assets/{assetId}/embargos/{embargoId}
 
application/json

Update embargo

IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.

For an existing asset embargo, update the date restrictions of that embargo.

Note: This API is subject to change until it reaches GA. Activation of the API is on a request basis until GA.

put
https://{your-bynder-domain}/api/1/asset/assets/{assetId}/embargos/{embargoId}

Path Parameters

assetIdstringrequired
embargoIdstringrequired

Body

application/json

UpdateAssetEmbargoInput

embargoTimeStampstring(date-time)

Response

application/json

UpdateAssetEmbargoReply

assetIdstring
embargoobject
Show Child Parameters
put/api/1/asset/assets/{assetId}/embargos/{embargoId}

Body

{}
 
application/json

Get asset metaproperties

IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.

Retrieve all metaproperty values set on the active asset version. The responses are taxonomy references, not direct labels.

Note: This API is subject to change until it reaches GA. Activation of the API is on a request basis until GA.

get
https://{your-bynder-domain}/api/1/asset/assets/{assetId}/metaproperties

Path Parameters

assetIdstringrequired

Response

application/json

AssetTaxonomy

assetIdstring
idstring
metaPropertyOptionGroupsarray[object]
Show Child Parameters
metaPropertyValuesarray[object]
Show Child Parameters
metadataarray[object]
Show Child Parameters
portalIdstring
taxonomyStatusstring
timeStampModifiedstring(date-time)
versionIdstring
get/api/1/asset/assets/{assetId}/metaproperties
 
application/json

Set asset metaproperties

IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.

Update the metaproperty option values of an asset, the given input will overwrite everything metaproperty wise that is on the asset. This does not include tags and autotags.

Note: This API is subject to change until it reaches GA. Activation of the API is on a request basis until GA.

put
https://{your-bynder-domain}/api/1/asset/assets/{assetId}/metaproperties

Path Parameters

assetIdstringrequired

Body

application/json

UpdateTaxonomy

metaPropertyOptionGroupsarray[object]
Show Child Parameters
metaPropertyValuesarray[object]
Show Child Parameters

Response

application/json

AssetTaxonomy

assetIdstring
idstring
metaPropertyOptionGroupsarray[object]
Show Child Parameters
metaPropertyValuesarray[object]
Show Child Parameters
metadataarray[object]
Show Child Parameters
portalIdstring
taxonomyStatusstring
timeStampModifiedstring(date-time)
versionIdstring
put/api/1/asset/assets/{assetId}/metaproperties

Body

{}
 
application/json

Delete individual asset metaproperty

IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.

Delete a metaproperties options or value from an asset.

Note: This API is subject to change until it reaches GA. Activation of the API is on a request basis until GA.

delete
https://{your-bynder-domain}/api/1/asset/assets/{assetId}/metaproperties/{metapropertyId}

Path Parameters

assetIdstringrequired
metapropertyIdstringrequired

Response

application/json

AssetTaxonomy

assetIdstring
idstring
metaPropertyOptionGroupsarray[object]
Show Child Parameters
metaPropertyValuesarray[object]
Show Child Parameters
metadataarray[object]
Show Child Parameters
portalIdstring
taxonomyStatusstring
timeStampModifiedstring(date-time)
versionIdstring
delete/api/1/asset/assets/{assetId}/metaproperties/{metapropertyId}
 
application/json